function love.load()
    anim8 = require 'LIB/anim8'
    -- love.graphics.setDefaultFilter("nearest", "nearest")

    player = {}
    player.x = 100 -- set to 400 on a newer system
    player.y = 100 -- set to 200 on a newer system
    player.speed = .2 -- set to 5 on a newer system
    player.spriteSheet = love.graphics.newImage('IMAGES/SPRITES/PLAYER.PNG')
    player.grid = anim8.newGrid( 12, 18, player.spriteSheet:getWidth(), player.spriteSheet:getHeight() )

    player.animations = {}
    player.animations.down = anim8.newAnimation( player.grid('1-4', 1), 0.2 )
    player.animations.left = anim8.newAnimation( player.grid('1-4', 2), 0.2 )
    player.animations.right = anim8.newAnimation( player.grid('1-4', 3), 0.2 )
    player.animations.up = anim8.newAnimation( player.grid('1-4', 4), 0.2 )

    player.anim = player.animations.left

    background_spring = love.graphics.newImage('IMAGES/BKGROUND/SPRING.PNG')
    background_summer = love.graphics.newImage('IMAGES/BKGROUND/SUMMER.PNG')
    background_autumn = love.graphics.newImage('IMAGES/BKGROUND/AUTUMN.PNG')
    background_winter = love.graphics.newImage('IMAGES/BKGROUND/WINTER.PNG')
    
    music_spring = love.audio.newSource('AUDIO/SPRING.WAV')
    music_summer = love.audio.newSource('AUDIO/SUMMER.WAV')
    music_autumn = love.audio.newSource('AUDIO/AUTUMN.WAV')
    music_winter = love.audio.newSource('AUDIO/WINTER.WAV')
    
    if os.date("%B") == "January" then
        background = background_winter
        music = music_winter
    elseif os.date("%B") == "February" then
        background = background_winter
        music = music_winter
    elseif os.date("%B") == "March" then
        background = background_spring
        music = music_spring
    elseif os.date("%B") == "April" then
        background = background_spring
        music = music_spring
    elseif os.date("%B") == "May" then
        background = background_spring
        music = music_spring
    elseif os.date("%B") == "June" then
        background = background_summer
        music = music_summer
    elseif os.date("%B") == "July" then
        background = background_summer
        music = music_summer
    elseif os.date("%B") == "August" then
        background = background_summer
        music = music_summer
    elseif os.date("%B") == "September" then
        background = background_autumn
        music = music_autumn
    elseif os.date("%B") == "October" then
        background = background_autumn
        music = music_autumn
    elseif os.date("%B") == "November" then
        background = background_autumn
        music = music_autumn
    elseif os.date("%B") == "December" then
        background = background_winter
        music = music_winter
    else
        background = background_summer
        music = music_summer
    end
    
    music:setLooping( true )
    music:play()
end

function love.update(dt)
    local isMoving = false

    if love.keyboard.isDown("right") then
        player.x = player.x + player.speed
        player.anim = player.animations.right
        isMoving = true
    end

    if love.keyboard.isDown("left") then
        player.x = player.x - player.speed
        player.anim = player.animations.left
        isMoving = true
    end

    if love.keyboard.isDown("down") then
        player.y = player.y + player.speed
        player.anim = player.animations.down
        isMoving = true
    end

    if love.keyboard.isDown("up") then
        player.y = player.y - player.speed
        player.anim = player.animations.up
        isMoving = true
    end
    
    if love.keyboard.isDown("1") then
        background = background_spring
        music:stop()
        music = music_spring
        music:setLooping( true )
        music:play()
    end
    if love.keyboard.isDown("2") then
        background = background_summer
        music:stop()
        music = music_summer
        music:setLooping( true )
        music:play()
    end
    if love.keyboard.isDown("3") then
        background = background_autumn
        music:stop()
        music = music_autumn
        music:setLooping( true )
        music:play()
    end
    if love.keyboard.isDown("4") then
        background = background_winter
        music:stop()
        music = music_winter
        music:setLooping( true )
        music:play()
    end
    
    if love.keyboard.isDown("q") then
        love.event.quit()
    end

    if isMoving == false then
        player.anim:gotoFrame(2)
    end

    player.anim:update(dt)
end

function love.draw()
    love.graphics.draw(background, 0, 0)
    player.anim:draw(player.spriteSheet, player.x, player.y, nil, 10)
end
